Bug 77873 - [Libreoffice Calc 4.2.3.3] 'Frame' attribute for hyperlinks is disappearing after saving and reopenning the spreadsheet file
Summary: [Libreoffice Calc 4.2.3.3] 'Frame' attribute for hyperlinks is disappearing a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: medium minor
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.3.0 target:5.1.6 target:5.2.3
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-04-24 07:18 UTC by Pavel Y. Gruznykh
Modified: 2016-10-04 15:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of hyperlink adding/editing dialog window in LO Calc (137.16 KB, image/jpeg)
2014-04-24 07:18 UTC, Pavel Y. Gruznykh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Y. Gruznykh 2014-04-24 07:18:32 UTC
Created attachment 97876 [details]
screenshot of hyperlink adding/editing dialog window in LO Calc

Problem description: 

'Frame' attribute ('_blank', '_parent' etc) for hyperlinks disappearing after saving and reopenning the spreadsheet file.

Steps to reproduce:

1. Insert the hyperlink in the spreadsheet's cell
2. Save the file. Reopen it.
3. Check your inserted hyperlink's settings. Oops.

Current behaviour:

All Hyperlinks in PDF exported from ODS spreadsheet is opening in the same browser window during reading this PDF online in a browser.

Expected behavior:

Hyperlink attribute must be there, so the links in a PDF file (which is exported from ODS spreadsheet) will open in a new browser tab or window during online reading. Or not, if required.
Comment 1 Buovjaga 2014-10-31 19:44:30 UTC
Confirmed.
Note for testers: you can check the settings of an existing hyperlink by going to its cell and then redoing Insert - Hyperlink. It should show the same target and Frame as _blank (or whichever you used) before closing and reopening. After reopening the file you will notice the Frame setting is gone.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 56019dcb79475606952a954fe732a3109441ffec
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-30_07:27:11
Comment 2 Buovjaga 2015-01-07 16:37:04 UTC
Disappearance observed on LibO 4.5 on Ubuntu.
However, on 3.5 the Frame setting does not disappear after reopen! Regression alert!

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: f92183833fa569006602ac7e93c906d2094e0d4d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-12-14_00:21:45

and

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 Michael Weghorn 2015-02-06 22:20:54 UTC
bibisect result:

a7e54955e9f49e8b59dfd8c4533785a680b1796c is the first bad commit
commit a7e54955e9f49e8b59dfd8c4533785a680b1796c
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 11:07:50 2013 +0000

    source-hash-5da10275a7475efdbfd9de14ea58cf8f4c6c1582
    
    commit 5da10275a7475efdbfd9de14ea58cf8f4c6c1582
    Author:     Stephan Bergmann <sbergman@redhat.com>
    AuthorDate: Fri Mar 1 17:09:45 2013 +0100
    Commit:     Stephan Bergmann <sbergman@redhat.com>
    CommitDate: Fri Mar 1 17:18:29 2013 +0100
    
        Related rhbz#915743: Abort UCB call from SvtMatchContext_Impl::Stop
    
        ...as otherwise the SvtMatchContext_Impl thread can continue to run for
        arbitrarily long, and the other thread calling Stop() and join() will block.
    
        However, especially the WebDAV UCP does not properly support aborting commands,
        see 260afe56fd6b2f34de8290f3cdb7d1df5b88f8a8 " neon commands cannot be aborted",
        so this is not yet enough to actually fix rhbz#915743 "thread deadlock/slow
        join in insert->hyperlink in impress."
    
        Change-Id: I0da899f824763e1b3d19bb5b38d906feb690b623



$ git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# bad: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect bad 238338bc4111eb82429ea47384d4012bcd7cdc3e
# bad: [89dc8a802d1625e0efd88ba0fb720b22be87f3f0] source-hash-da03bb1ee6a69d2f4fef4c3ca0adc0ba9588bd19
git bisect bad 89dc8a802d1625e0efd88ba0fb720b22be87f3f0
# bad: [fe956dc63cc7ed1831f0e7e9e7253ea4d8c99549] source-hash-b15f095293c6127ecaef2f0fa3a1683e72392835
git bisect bad fe956dc63cc7ed1831f0e7e9e7253ea4d8c99549
# good: [cd762eb968ba8783f726b67d9d70b0a76f4eb55d] source-hash-c9562064740baed3a9978723c5fe77b44a13a7aa
git bisect good cd762eb968ba8783f726b67d9d70b0a76f4eb55d
# bad: [a7e54955e9f49e8b59dfd8c4533785a680b1796c] source-hash-5da10275a7475efdbfd9de14ea58cf8f4c6c1582
git bisect bad a7e54955e9f49e8b59dfd8c4533785a680b1796c
# good: [5e90d936616ff95724eaa3e3a0a7c7a9747e9b44] source-hash-ba446dd58a4ad324d242afcd5b28d3b4dff5a881
git bisect good 5e90d936616ff95724eaa3e3a0a7c7a9747e9b44
# first bad commit: [a7e54955e9f49e8b59dfd8c4533785a680b1796c] source-hash-5da10275a7475efdbfd9de14ea58cf8f4c6c1582


I am also changing "Hardware" to "All"/"All" as this occurs as well on Debian GNU/Linux and on x86.
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:09:25 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-10-02 22:30:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b11ad787372c4b833cc58a3738e375af26309b8d

support TargetFrame in url field import/export code, tdf#77873

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-10-02 22:40:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0349556c3d045d325d511d8ca4e6ddcac666cf2

add test for tdf#77873

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Markus Mohrhard 2016-10-03 14:02:27 UTC
Rewiew requests for 5-3 an d -5-2 in gerrit.
Comment 8 Commit Notification 2016-10-04 15:24:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d60b0dc1208b01b659fd1af4b33d1a7f6ee737d&h=libreoffice-5-1

support TargetFrame in url field import/export code, tdf#77873

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-10-04 15:27:16 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f3fac39496db4fefc088a8c57781baae92da388&h=libreoffice-5-2

support TargetFrame in url field import/export code, tdf#77873

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.